## atheros-firmware 0.1-20100501trisquel1

=== ar9170-fw/Makefile ===
PFX ?= $(shell pwd)/toolchain/inst/bin/sh-elf-
VALID_PFX = $(if $(wildcard $(PFX)gcc), $(PFX), \
	$(error Error: sh2 gcc not found. To build your own, invoke 'make -C toolchain'.))
CC = $(VALID_PFX)gcc
LD = $(VALID_PFX)ld
AS = $(VALID_PFX)as
OBJCOPY = $(VALID_PFX)objcopy

# CPU is a Little endian sh2a-nofpu-or-sh3-nommu
CPU = -m2

CPU_FLAGS = $(CPU) -ml
CFLAGS += -c $(CPU_FLAGS)  -I./include
CFLAGS += -Wall
CFLAGS += -g3
CFLAGS += -Os
CFLAGS += -nostartfiles
CFLAGS += -ffunction-sections
LDFLAGS += -static -Tfw.lds
LDFLAGS += -EL
LDFLAGS += -x
LDFLAGS += -e _zfbooter
LDFLAGS += --gc-sections

FW += src/boot.o
FW += src/USB_Boot.o
FW += src/cmd.o
FW += src/cphy.o
FW += src/desc.o
FW += src/gv.o
FW += src/hostif.o
FW += src/uart.o
FW += src/wlan.o
FW += src/cam.o
FW += src/dbg.o

FW += usb/usb.o
FW += usb/usb_fifo.o
FW += usb/usb_intrq.o

# These comes from the Linux kernel
FW += ashlsi3.o

%.o: %.S
	$(CC) $(CFLAGS) -o $@ $<

%.o: %.c include/*
	$(CC) $(CFLAGS) -o $@ $<

%.fw: %.elf
	$(OBJCOPY) --strip-unneeded -O binary -R .sram $< $@

all:	ar9170.fw

ar9170.elf: $(FW) fw.lds
	$(LD) $(LDFLAGS) -o $@ $(FW)

install:
	install ar9170.fw /lib/firmware/

clean:
	@rm -f *.o ar9170.fw ar9170.elf *~
	@rm -f src/*.o usb/*.o
	@rm -f src/*~ usb/*~ include/*~

.PHONY: all clean

=== ar9170-fw/toolchain/Makefile ===
BINUTILS_VER=2.20.1
BINUTILS_URL=http://mirrors.kernel.org/gnu/binutils/binutils-$(BINUTILS_VER).tar.bz2
BINUTILS_TAR=binutils-$(BINUTILS_VER).tar.bz2

NEWLIB_VER=1.18.0
NEWLIB_URL=ftp://sources.redhat.com/pub/newlib/newlib-$(NEWLIB_VER).tar.gz
NEWLIB_TAR=newlib-$(NEWLIB_VER).tar.gz

GCC_VER=4.4.4
GCC_URL=http://mirrors.kernel.org/gnu/gcc/gcc-$(GCC_VER)/gcc-core-$(GCC_VER).tar.bz2
GCC_TAR=gcc-core-$(GCC_VER).tar.bz2

BASEDIR=$(shell pwd)

all: gcc

src/$(BINUTILS_TAR):
	wget -P src $(BINUTILS_URL)

src/$(NEWLIB_TAR):
	wget -P src $(NEWLIB_URL)

src/$(GCC_TAR):
	wget -P src $(GCC_URL)

src/binutils-$(BINUTILS_VER): src/$(BINUTILS_TAR)
	tar -C src -xjf $<

src/newlib-$(NEWLIB_VER): src/$(NEWLIB_TAR)
	tar -C src -xzf $<

src/gcc-$(GCC_VER): src/$(GCC_TAR) src/newlib-$(NEWLIB_VER)
	tar -C src -xjf $<
	ln -s $(BASEDIR)/src/newlib-$(NEWLIB_VER)/newlib $@
	ln -s $(BASEDIR)/src/newlib-$(NEWLIB_VER)/libgloss $@

binutils: src/binutils-$(BINUTILS_VER)
	mkdir -p build/binutils
	cd build/binutils; \
	$(BASEDIR)/$</configure --target=sh-elf --prefix=$(BASEDIR)/inst; \
	$(MAKE); \
	$(MAKE) install

gcc: src/gcc-$(GCC_VER) binutils
	mkdir -p build/gcc
	cd build/gcc; \
	$(BASEDIR)/$</configure --target=sh-elf --prefix=$(BASEDIR)/inst -enable-languages=c --without-pkgversion --with-newlib; \
	$(MAKE); \
	$(MAKE) install

clean:
	rm -rf build inst

distclean: clean
	rm -rf src

=== debian/changelog ===
atheros-firmware (0.1-20100501trisquel1) maverick; urgency=low

  * Initial release

 -- Rubén Rodríguez Pérez <ruben@trisquel.info>  Fri, 15 Apr 2011 00:13:43 +0200

=== debian/control ===
Source: atheros-firmware
Section: admin
Priority: optional
Maintainer: Rubén Rodríguez <ruben@trisquel.info>
Build-Depends-Indep: debhelper, libgmp3-dev, texinfo, libmpfr-dev
Standards-Version: 3.5.9.0

Package: atheros-firmware
Architecture: all
Priority: optional
Description: Firmware for the Atheros 802.11n USB chipset (AR9170)
 ar9170.fw is the firmware for the Atheros 802.11n USB chipset (AR9170). 
 It was released by Atheros under the GPLv2 License with a lot of contributions made by the community.

=== debian/rules ===
#!/usr/bin/make -f

build:

clean:
	dh_testdir
	dh_testroot
	dh_clean

binary-indep:
	dh_clean
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	sh compile.sh
	dh_fixperms
	dh_compress
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-arch:

binary: binary-indep binary-arch

.PHONY: binary binary-arch binary-indep clean build
